Zoneminder API/ZMNinja borked in 1.31.44

Forum for questions and support relating to the 1.31.x releases only.
Post Reply
Magic919
Posts: 57
Joined: Wed Sep 18, 2013 6:56 am

Zoneminder API/ZMNinja borked in 1.31.44

Post by Magic919 » Thu Aug 02, 2018 12:30 pm

I was forced down the upgrade path after the Gentoo ebuild of 1.30.4 started building ZMC and a few components that segfaulted. I failed to fix that and cloned the git repository and scratch built.

The build went ok. Lacked a couple of Perl bits but sorted those

emerge -av dev-perl/File-Slurp
emerge -av dev-perl/Number-Bytes-Human

Point of this post is that the API wouldn't work and it was an authentication problem. However, I don't have ZM authentication on. ZM was fine, ZMNinja was not.

It was testing credentials without checking if ZM Auth was on first. There seems to have been a regression of this update - https://github.com/ZoneMinder/zoneminde ... 1008/files . I copied over the 1.30.4 AppController.php and that sorted it.

Hopefully this will help someone.

Post Reply

Who is online

Users browsing this forum: No registered users and 1 guest